Bug 1809116 - Block RHEL8 hosts in OVS cluster
Summary: Block RHEL8 hosts in OVS cluster
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network
Version: future
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.4.0
: ---
Assignee: Dana
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On:
Blocks: VDSM_use_NetworkManager
TreeView+ depends on / blocked
 
Reported: 2020-03-02 13:25 UTC by Dominik Holler
Modified: 2020-06-23 08:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
There is currently a known issue: Open vSwitch (OVS) does not work with nmstate-managed hosts. Therefore, OVS clusters cannot contain RHEL 8 hosts. Workaround: In clusters that use OVS, do not upgrade hosts to RHEL 8.
Clone Of:
Environment:
Last Closed: 2020-05-20 20:02:33 UTC
oVirt Team: Infra
pm-rhel: ovirt-4.4+
mperina: blocker?
mtessun: planning_ack+
mperina: devel_ack+
mburman: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 107701 master MERGED engine: Fail RHEL8 host deploy installation if bridge type is OVS 2020-10-16 12:19:27 UTC

Internal Links: 1809118

Description Dominik Holler 2020-03-02 13:25:16 UTC
OVS switch type for nmstate managed hosts is currently known to be not working (Bug 1809102).
For this reason the user should be not able to add a RHEL8 host to a Cluster OVS switch type.

Comment 2 RHEL Program Management 2020-03-17 12:30:25 UTC
Testing has indicated this request is declined. You may appeal this decision by reopening this request.

Comment 3 Martin Perina 2020-03-17 12:33:15 UTC
We don't know what OS is installed on the host on engine before installation, so the only way how to prevent adding EL8 host into OVS cluster is to fail adding it. Also this is temporary only solution until we remove current OVS related code in VDSM and replace it with nmstate (which should happen in one of the earliest z-streams)

Comment 4 RHEL Program Management 2020-03-17 12:33:33 UTC
Testing has indicated this request is declined. You may appeal this decision by reopening this request.

Comment 5 RHEL Program Management 2020-03-17 12:34:56 UTC
Testing has indicated this request is declined. You may appeal this decision by reopening this request.

Comment 12 Michael Burman 2020-04-05 15:10:34 UTC
Verified on - rhvm-4.4.0-0.31.master.el8ev.noarch

Comment 13 Sandro Bonazzola 2020-05-20 20:02:33 UTC
This bugzilla is included in oVirt 4.4.0 release, published on May 20th 2020.

Since the problem described in this bug report should be
resolved in oVirt 4.4.0 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.

Comment 15 Dana 2020-06-23 08:27:05 UTC
The Doc Text field looks good, 
As for your question - yes, they shouldn't upgrade


Note You need to log in before you can comment on or make changes to this bug.